<template>
  <div class="flex flex-col gap-4">
    <h1>Регистрация</h1>
    <el-input
      v-for="item in fields"
      :key="item.name"
      v-model="item.value"
      :label="item.label"
      :type="item.type"
    />
    <el-button>Зарегистрироваться</el-button>
  </div>
</template>

<script setup lang="ts">
import { reactive } from "@vue/reactivity";

type FieldItem = {
  name: string;
  label: string;
  value: string;
  type: string;
  validate: boolean;
};

let fields: FieldItem[] = reactive([
  {
    name: "fio",
    label: "ФИО",
    value: "",
    type: "text",
    validate: true,
  },
  {
    name: "email",
    label: "Email",
    value: "",
    type: "text",
    validate: true,
  },
  {
    name: "password",
    label: "Пароль",
    value: "",
    type: "password",
    validate: true,
  },
  {
    name: "password_repeat",
    label: "Повторите пароль",
    value: "",
    type: "password",
    validate: true,
  },
]);
</script>
